System requirements for the Capacity Agent

This topic provides hardware requirements and supported operating systems for the Capacity Agent.

Gateway Server and Capacity Agent compatibility

The Gateway Server supports all versions of the Capacity Agents that are earlier than or same as the Gateway Server version. 

Hardware requirements

The following table describes the hardware requirements for the Capacity Agent.

Operating systemDisk space required for
Agent installationDaily data collectionHistorical data
Windows, UNIX, and Linux300 MB

1 or 2 GB based on the number of processes, file systems, disks, and network interfaces in the system

Depends on the size and the configuration of your system. For information about estimating the disk size for storing historical data, see Estimating the disk space on the Agent system for historical data.

Supported operating systems

The following operating systems are supported for the Capacity Agent installation:

Operating system

Supported versionArchitecture and notes
AIX7.1 and later64-bit hardware, 64-bit kernel, POWER8, and POWER9
CentOS7.6 and laterx86_64
8.0 and laterx86_64

Citrix Xen

7.6.0


x86_64

Note: Install XenServer Tools in each VM to get memory usage metrics.

Citrix Hypervisor8.0.0

x86_64

Note: Install XenServer Tools in each VM to get memory usage metrics.

HP-UX

11iv3 (B11.31)

Itanium
HP-IVM3.5HP Integrity Virtual Machines Manager
Red Hat Enterprise Linux


7.6 and later
  • x86-64
  • ppc64le (Little Endian)
  • ppc64 (Big Endian - POWER8, POWER9)
  • zSeries (s390x)

8.0 and later

  • x86-64
  • ppc64le (Little Endian)
  • zSeries (s390x)
Oracle Linux7.6 and laterx86_64 (including UEK)
8.0 and laterx86_64 (including UEK)

Oracle Solaris

11.0 and later

64-bit SPARC, x86_64

For Oracle Solaris Sparc servers, the installation of Capacity Agents on non-global zones is not supported.

SUSE Linux Enterprise Server

11 SP4
  • x86_64
  • POWER8, zSeries are supported (SP04)

SUSE Linux Enterprise Server support includes support for all point releases within the series (for example: Open Source Xen includes support for 11.x).

12 SP2 and laterx86_64
15 and laterx86_64
Microsoft Windows for Servers

2012

(including core server)

x86_64

2012 R2

(including core server)

x86_64

2016

(including core server)

x86_64
2019
(including core server)
x86_64
Microsoft Windows10x86_64
Microsoft Hyper-V Server2012x86_64
2012 R2x86_64
2016x86_64
2019x86_64
Ubuntu

16.04 LTSEM64T (x86_64)
18.04 LTSEM64T (x86_64)
20.04 LTSEM64T (x86_64)
Oracle VM Server3.3 and laterx86_64
RHEV4.0 and laterx86_64

Patch requirements for the operating system

Patch forPackage nameDetails
Solaris

libpool.so.1

For Solaris 11:

  • SUNWpool
  • SUNWpoold
  • SUNWpoolr

To verify that these packages are installed, run the following command:

> pkginfo | grep SUNWpool

Supported platforms for a Docker host

The following Linux systems are supported for running the Agent on a Docker host:

  • Red Hat Enterprise Linux
  • Ubuntu
  • CentOS

Other requirements

  • On UNIX and Linux systems, ensure that at least 2 MB of free space is reserved for the /etc file system on all the managed systems, and you have the execute (x) permission for the /etc directory.
  • The Gateway Server and Application Server support Capacity Agents equal to or lower than the release version.
  • Create the agent history and daily data collection repositories on a local file system.
  • If you want to use remote data repositories on a UNIX network file system, ensure that the rpc.lockd and rpc.statd NFS lock manager daemons run on both the client and server computers. 
  • Ensure that semaphores and shared memory segments are configured on the managed systems where Capacity Agents are installed. For information about configuring the  shared memory and semaphores, see Configuring the shared memory and semaphores.
  • For Linux systems, ensure that the installation directory must be on a standard Linux filesystem such as ext3 or a Global File System (GFS) for high availability deployments (Active/Passive servers). Installation on a CIFS share mounted as a filesystem is not supported. You can use CIFS share only for the shared repository.

Was this page helpful? Yes No Submitting... Thank you

Comments